## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder
Class MSSQLServerFunctionNamesAndSignatures

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.MSSQLServerFunctionNamesAndSignatures

    public class MSSQLServerFunctionNamesAndSignatures

extends java.lang.Object

Field Summary
`static java.lang.String` `dbUDF`
`static java.lang.String` `msSQLServerAggregate`
`static java.lang.String` `msSQLServerAll`
`static java.lang.String` `msSQLServerConfiguration`
`static java.lang.String` `msSQLServerCursor`
`static java.lang.String` `msSQLServerDateAndTime`
`static java.lang.String` `msSQLServerMath`
`static java.lang.String` `msSQLServerMetadata`
`static java.lang.String` `msSQLServerNotSupported`
`static java.lang.String` `msSQLServerRowset`
`static java.lang.String` `msSQLServerSecurity`
`static java.lang.String` `msSQLServerString`
`static java.lang.String` `msSQLServerSystem`
`static java.lang.String` `msSQLServerSystemStatistical`
`static java.lang.String` `msSQLServerTextAndImage`

Constructor Summary
`MSSQLServerFunctionNamesAndSignatures()`

Method Summary
`static void` `fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo, boolean isColumn)`
`static java.lang.String[]` `getFunctionList(java.lang.String category, boolean isColumn, SQLDomainModel domainModel)`
`static java.lang.Object[][]` `getParameterFormats(java.lang.String functionName)`
`static java.lang.Object[][]` `getParms(java.lang.String func)`
`static boolean` `isFunctionSupportingStar(java.lang.String s)`
`static boolean` `isNotSupported(java.lang.String functionName)`
`static boolean` `requiresNoBrackets(java.lang.String functionName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### msSQLServerAll

    public static final java.lang.String msSQLServerAll

### msSQLServerAggregate

    public static final java.lang.String msSQLServerAggregate

### msSQLServerConfiguration

    public static final java.lang.String msSQLServerConfiguration

See Also:
  Constant Field Values

### msSQLServerCursor

    public static final java.lang.String msSQLServerCursor

See Also:
  Constant Field Values

### msSQLServerDateAndTime

    public static final java.lang.String msSQLServerDateAndTime

### msSQLServerMath

    public static final java.lang.String msSQLServerMath

### msSQLServerMetadata

    public static final java.lang.String msSQLServerMetadata

See Also:
  Constant Field Values

### msSQLServerSecurity

    public static final java.lang.String msSQLServerSecurity

See Also:
  Constant Field Values

### msSQLServerString

    public static final java.lang.String msSQLServerString

### msSQLServerSystem

    public static final java.lang.String msSQLServerSystem

### msSQLServerSystemStatistical

    public static final java.lang.String msSQLServerSystemStatistical

See Also:
  Constant Field Values

### msSQLServerTextAndImage

    public static final java.lang.String msSQLServerTextAndImage

See Also:
  Constant Field Values

### msSQLServerRowset

    public static final java.lang.String msSQLServerRowset

See Also:
  Constant Field Values

### msSQLServerNotSupported

    public static final java.lang.String msSQLServerNotSupported

### dbUDF

    public static java.lang.String dbUDF

Constructor Detail

### MSSQLServerFunctionNamesAndSignatures

    public MSSQLServerFunctionNamesAndSignatures()

Method Detail

### getParms

    public static java.lang.Object[][] getParms(java.lang.String func)

### getParameterFormats

    public static java.lang.Object[][] getParameterFormats(java.lang.String functionName)

### fillCategoryCombo

    public static void fillCategoryCombo(org.eclipse.swt.widgets.Combo functionsCategoryCombo,
                                         boolean isColumn)

### isFunctionSupportingStar

    public static boolean isFunctionSupportingStar(java.lang.String s)

### requiresNoBrackets

    public static boolean requiresNoBrackets(java.lang.String functionName)

### isNotSupported

    public static boolean isNotSupported(java.lang.String functionName)

### getFunctionList

    public static java.lang.String[] getFunctionList(java.lang.String category,
                                                     boolean isColumn,
                                                     SQLDomainModel domainModel)